%define languageenglazy Danish
%define languagecode    da
%define lc_ctype        da_DK

Name:           hunspell-%{languagecode}
Version:        1.7.42
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://da.speling.org/
Source0:        http://da.speling.org/filer/myspell-da-%{version}.tar.bz2

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-da
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n myspell-%{languagecode}-%{version}

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README Copyright contributors COPYING
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.7.42-7.mga8
+ Revision: 1491289
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.7.42-6.mga7
+ Revision: 1263015
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.7.42-5.mga6
+ Revision: 946212
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.42-4.mga5
+ Revision: 747532
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.42-3.mga5
+ Revision: 680225
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Oct 20 2013 umeabot <umeabot> 1.7.42-2.mga4
+ Revision: 536821
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 1.7.42-1.mga4
+ Revision: 485734
- New version: 1.7.42

* Sat Jan 12 2013 umeabot <umeabot> 1.7.37-6.mga3
+ Revision: 353421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.7.37-5.mga3
+ Revision: 325190
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.7.37-4.mga2
+ Revision: 224584
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 1.7.37-3.mga2
+ Revision: 207698
- use better obsoleting of myspell

* Mon Jan 16 2012 kamil <kamil> 1.7.37-2.mga2
+ Revision: 196938
- adapt .spec to the current policies

* Thu Jul 07 2011 ahmad <ahmad> 1.7.37-1.mga2
+ Revision: 119756
- Update to 1.7.37

* Sat Mar 12 2011 dmorgan <dmorgan> 1.7.36-2.mga1
+ Revision: 68714
- imported package hunspell-da


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 28 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.36-1
- latest version

* Tue Sep 28 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.35-1
- latest version

* Wed Jul 28 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.34-1
- latest version

* Fri Mar 28 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.33-1
- latest version

* Thu Mar 11 2010 Caolán McNamara <caolanm@redhat.com> - 1.7.32-1
- latest version

* Thu Dec 10 2009 Caolán McNamara <caolanm@redhat.com> - 1.7.31-1
- latest version

* Thu Nov 05 2009 Caolán McNamara <caolanm@redhat.com> - 1.7.30-1
- latest version

* Fri Sep 04 2009 Caolán McNamara <caolanm@redhat.com> - 1.7.29-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Caolán McNamara <caolanm@redhat.com> - 1.7.28-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 02 2009 Caolán McNamara <caolanm@redhat.com> - 1.7.27-1
- latest version

* Sun Nov 23 2008 Caolán McNamara <caolanm@redhat.com> - 1.7.26-1
- latest version

* Tue Oct 14 2008 Caolán McNamara <caolanm@redhat.com> - 1.7.25-1
- latest version

* Mon Sep 08 2008 Caolán McNamara <caolanm@redhat.com> - 1.7.24-1
- latest version

* Thu Aug 07 2008 Caolán McNamara <caolanm@redhat.com> - 1.7.23-1
- latest version

* Mon Jul 07 2008 Caolán McNamara <caolanm@redhat.com> - 1.7.22-1
- latest version

* Fri May 30 2008 Caolán McNamara <caolanm@redhat.com> - 1.7.21-1
- latest version

* Thu Apr 24 2008 Caolán McNamara <caolanm@redhat.com> - 1.7.20-1
- latest version

* Mon Mar 17 2008 Caolán McNamara <caolanm@redhat.com> - 1.7.19-1
- latest version

* Wed Feb 13 2008 Caolán McNamara <caolanm@redhat.com> - 1.7.18-1
- latest version

* Wed Nov 28 2007 Caolán McNamara <caolanm@redhat.com> - 1.7.17-1
- latest version

* Fri Oct 05 2007 Caolán McNamara <caolanm@redhat.com> - 1.7.16-1
- latest version

* Thu Aug 30 2007 Caolán McNamara <caolanm@redhat.com> - 1.7.15-1
- latest version

* Fri Aug 03 2007 Caolán McNamara <caolanm@redhat.com> - 1.7.14-2
- clarify license version

* Mon Jul 30 2007 Caolán McNamara <caolanm@redhat.com> - 1.7.14-1
- latest version

* Mon Jul 09 2007 Caolán McNamara <caolanm@redhat.com> - 1.7.13-1
- latest version

* Thu Feb 13 2007 Caolán McNamara <caolanm@redhat.com> - 0.20070106-1
- new upstream dictionaries

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 0.20050330-1
- initial version
